import {defineStore} from 'pinia'

export const useLoginUrlStore = defineStore('login_url', {
    persist: true,
    state: () => ({
        last_visit_url: null as null | string
    }),

    actions: {
        setLastVisitUrl(url: string) {
            this.last_visit_url = url
        },
        getLastVisitUrl() {
            return this.last_visit_url
        }
    }

})